using Sandbox;
using Sandbox.UI;
using Sandbox.UI.Construct;

public class Timer : Panel {
    public Label Time;

    public Timer() {
        Time = Add.Label("Left: 0");
    }

	public override void Tick()
	{
		var Round = Game.Instance.GameRound;
		switch (Round.gameState)
		{
			case carderby.GameState.PROCESS:
				{
					Time.Text = $"Time Left: {(int)(Round.roundLength - Round.timeSince)}";
					break;
				}
			case carderby.GameState.START:
				{
					Time.Text = $"Game start: {(int)(Round.preTime - Round.timeSince)}";
					break;
				}
			case carderby.GameState.END:
				{
					Time.Text = $"Next game: {(int)(Round.preTime - Round.timeSince)}";
					break;
				}
		}
	}
}
