using Sandbox;
using Sandbox.UI;

[Library]
public partial class CarDerbyHud : HudEntity<RootPanel>
{
    public CarDerbyHud() {
        if ( !IsClient )
			return;
        RootPanel.StyleSheet.Load("/ui/CarDerbyHud.scss");

        RootPanel.AddChild<NameTags>();
        RootPanel.AddChild<Winner>();
        RootPanel.AddChild<ChatBox>();
        RootPanel.AddChild<MyScore>();
        RootPanel.AddChild<TopScore>();
        RootPanel.AddChild<Timer>();
    }
}
